#modal-upload-blob.modal
  .modal-dialog.modal-lg
    .modal-content
      .modal-header
        %h3.page-title= title
        %button.close{ type: "button", "data-dismiss": "modal", "aria-label" => _('Close') }
          %span{ "aria-hidden": "true" } &times;
      .modal-body
        = form_tag form_path, method: method, class: 'js-quick-submit js-upload-blob-form', data: { method: method } do
          .dropzone
            .dropzone-previews.blob-upload-dropzone-previews
              %p.dz-message.light
                - upload_link = link_to s_('UploadLink|click to upload'), '#', class: "markdown-selector"
                - dropzone_text = _('Attach a file by drag &amp; drop or %{upload_link}') % { upload_link: upload_link }
                #{ dropzone_text.html_safe }

          %br
          = render 'shared/global_alert',
            variant: :danger,
            alert_class: 'dropzone-alerts gl-alert gl-alert-danger gl-mb-5 data gl-display-none',
            dismissible: false

          = render 'shared/new_commit_form', placeholder: placeholder, ref: local_assigns[:ref]

          .form-actions
            = button_tag class: 'btn gl-button btn-confirm btn-upload-file gl-mr-2', id: 'submit-all', type: 'button' do
              = gl_loading_icon(inline: true, css_class: 'gl-mr-2 js-loading-icon hidden')
              = button_title
            = link_to _("Cancel"), '#', class: "btn gl-button btn-default btn-cancel", "data-dismiss" => "modal"

            = render 'shared/projects/edit_information'
